execute if entity @a[scores={skyblock=1..}] run function zombies:reforgelist
execute if entity @a[scores={defender=1..}] run function zombies:reforgelist
execute if score .musicplay time matches 1.. run function zombies:musicmain
scoreboard players add @a[scores={classicstart=1..}] classiccd 1
execute if entity @a[scores={map1=1..}] run function zombies:classicmap
execute if entity @a[scores={tpro=1..}] run function zombies:tpro
execute if entity @a[nbt={SelectedItem:{tag:{rebounce:1}}}] run function zombies:bouncer
execute as @a[scores={bounce=1..},nbt=!{SelectedItem:{tag:{rebounce:1}}}] at @s run scoreboard players set @s bounce 0
execute as @a[scores={bounce1=1..},nbt=!{SelectedItem:{tag:{rebounce:1}}}] at @s run scoreboard players set @s bounce1 0
execute if entity @a[scores={map=1..}] run function zombies:map
execute if entity @e[tag=minearrow] run function zombies:minearrow
execute if entity @e[tag=minitime] run function zombies:minitime

execute if entity @e[scores={protection5=1..}] run function zombies:protection5
execute if entity @e[tag=punchslow] run function zombies:punchslow
execute if entity @e[tag=poisonaura] run function zombies:poisonaura
execute if entity @e[tag=weaken] run function zombies:weaken
execute unless score @p wave matches 1.. if entity @p[tag=!resetted] run function zombies:coinsreset
execute if score @p wave matches 1.. run function zombies:coins
execute as @a at @s unless entity @s[scores={defender=0..}] run scoreboard players set @s defender 0
execute as @a at @s unless entity @s[scores={timeleft=0..}] run scoreboard players set @s timeleft 0
execute as @a at @s unless entity @s[scores={zapoc=0..}] run scoreboard players set @s zapoc 0
execute as @a at @s unless entity @s[tag=loaded] run function tf_raycast1:loadweapons
execute as @a at @s unless entity @s[tag=loaded] run tag @s add loaded
execute as @a at @s unless entity @s[scores={death=0..}] run scoreboard players set @s death 0
execute as @a at @s unless entity @s[scores={sprint=-100..}] run scoreboard players set @s sprint 500
execute if entity @a[scores={skyblock=0}] run execute as @e[tag=drowned,scores={health=..0},type=!player,type=!#tf_raycast:not_mob] at @s run kill @s
execute if entity @a[scores={skyblock=0}] run execute if entity @e[type=!armor_stand,team=!mobshow,tag=!noai,type=!minecraft:wandering_trader,team=!cw_pather,type=!squid,type=!player,type=!#tf_raycast:not_mob,tag=!drowned,scores={health=..0}] run function zombies:mobdeath
execute as @a at @s run execute unless entity @s[scores={skyblock=1..}] run execute at @s run spawnpoint @s ~ ~ ~ ~
execute as @a[scores={skyblock=1..}] at @s run execute store result score @s attack run attribute @s minecraft:generic.attack_damage get
execute as @a[scores={skyblock=1..}] at @s run execute store result score @s maxhealth run attribute @s minecraft:generic.max_health get
execute if entity @e[tag=witheredweakentity] run function zombies:witheredweak
execute if entity @a[scores={defender=1..}] run function zombies:defender
execute if entity @e[tag=onfire1] run function zombies:onfire1
execute if entity @e[tag=stunweak] run function zombies:stunweak
execute if entity @e[team=generator] run function zombies:gen
execute if entity @a[scores={skyblock=0,death=1..,tpro=1..}] run function zombies:death
execute as @a at @s unless entity @s[scores={tpro=0..}] run scoreboard players set @s tpro 0
execute if entity @e[tag=damageop] run function zombies:damageop
execute if entity @e[tag=damageop2] run function zombies:damageop2
execute if entity @a[scores={skyblock=0,death=1..,tpro=0}] run function zombies:zadeath
execute as @e[team=zombierandom] at @s unless entity @e[type=zombie,distance=..2] run kill @s
execute as @a[scores={spawner=1..}] at @s run give @p spawner{display:{Name:'{"text":"Spawner","color":"white","italic":false}',Lore:['{"text":" "}','{"text":"Place Spawn Egg on it after placed","color":"gray","italic":false}','{"text":"Can be removed","color":"dark_gray","italic":false}','{"text":" "}','{"text":"Common Item","color":"white","bold":true,"italic":false}']},HideFlags:32} 1
execute as @a[scores={spawner=1..}] at @s run scoreboard players set @s spawner 0
execute as @a at @s run execute store result score @s arrowleft run clear @s minecraft:arrow 0
execute at @a[scores={skyblock=1..}] if entity @e[tag=noai,distance=..100] run function zombies:reset
scoreboard players set @e[type=item,nbt={Item:{tag:{revanilla:1}}}] unreforgeable1 1
execute at @a[scores={skyblock=1..}] run kill @e[type=item,distance=250..]
scoreboard players set @a[scores={classiccd=1}] timeleft 48200
execute as @a[scores={jump=1..,sprintcd=..50,sprint=..400}] at @s run scoreboard players remove @s sprint 10
execute as @a[scores={jump=1..,sprintcd=..50,sprint=401..}] at @s run scoreboard players remove @s sprint 5


execute as @a[scores={jump=1..,sprintcd=51..}] at @s run scoreboard players remove @s sprint 25
execute as @a[scores={jump=1..,food=..8}] at @s run scoreboard players set @s sprintcd 0
execute if entity @e[tag=flame2] run execute as @e[tag=flame2] at @s run function zombies:flame
execute as @a[scores={jump=1..,sprintcd=..50,sprint=..400}] at @s run scoreboard players set @s sprintcd 0
execute as @e[type=item] at @s unless entity @s[type=minecraft:item,scores={unreforgeable1=1..}] run scoreboard players set @s unreforgeable1 0
execute as @a[scores={jump=1..}] at @s run scoreboard players set @s jump 0


execute as @e[type=item] at @s unless entity @s[scores={unreforgeable1=0..}] run scoreboard players set @s unreforgeable1 0
execute if entity @a[scores={skyblock=1..}] run execute as @e[type=minecraft:item] at @s run fill ~-1 ~ ~-1 ~1 ~ ~1 air replace fire
execute at @a run execute as @e[type=!squid,type=!minecraft:player,type=!#tf_raycast:not_mob] at @s run execute as @s store result score @s ahealth run data get entity @s Health
execute as @e[tag=lightwit] at @s unless entity @e[tag=lightwithermod2,distance=..2] run kill @s
execute as @e[tag=supwitball] at @s unless entity @e[type=wither] run kill @s
execute as @e[team=mboss6ball] at @s unless entity @e[type=wither] unless entity @e[tag=withermob] run kill @s
execute at @a run kill @e[type=wither_skull,distance=50..]
execute if entity @e[tag=onfire] run function zombies:onfire
execute if entity @e[tag=stun] run function zombies:stun
execute as @a[scores={onSprint=0..}] at @s run scoreboard players add @s sprintcd 1
execute store result score @p food run data get entity @p foodLevel
execute as @a at @s run execute if score @s sprintcd matches 50.. run function zombies:sprint

scoreboard players set @a[scores={sprint=501..}] sprint 500
tag @a[scores={sprintcd=51..}] add sprintreg
scoreboard players add @a[tag=sprintreg] sprintreg 1
execute if entity @a[tag=sprintreg] run function zombies:sprintreg
execute if entity @a[scores={skyblock=..0,defender=..0}] run gamerule naturalRegeneration false

execute as @a[scores={sprint=500..}] at @s run scoreboard players set @s sprintcd 0
execute as @a[scores={onSprint=0}] at @s run scoreboard players set @s sprint 500
execute as @a[scores={onSprint=2..,sprint=1..}] at @s run scoreboard players remove @s sprint 1
execute as @a[scores={onSprint=2..,sprint=1..,zapoc=1..}] at @s run scoreboard players remove @s sprint 1
execute as @a[scores={onSprint=2..,sprint=1..,specialmap=1}] at @s run scoreboard players remove @s sprint 1
execute as @a at @s run execute if score @s tootired matches 1.. run function zombies:sprinttired
execute as @a[scores={onSprint=2..}] at @s run scoreboard players set @s sprintcd 0
execute as @e[tag=firewitball] at @s unless entity @e[tag=firewithermod2] run kill @s
execute as @a[scores={onSprint=1..}] at @s run scoreboard players set @s onSprint 1
execute as @a[scores={sprint=500..}] at @s run scoreboard players set @s onSprint 0
execute as @a[scores={sprint=1..450,skyblock=0}] at @s run attribute @s minecraft:generic.movement_speed base set 0.105
execute as @a[scores={sprint=451..500,skyblock=0}] at @s run attribute @s minecraft:generic.movement_speed base set 0.125
execute as @a[scores={sprint=1..450,skyblock=1..}] at @s run attribute @s minecraft:generic.movement_speed base set 0.1
execute as @a[scores={sprint=451..500,skyblock=1..}] at @s run attribute @s minecraft:generic.movement_speed base set 0.105
execute as @a at @s run execute store result score @s damage run attribute @s minecraft:generic.attack_damage base get
execute as @a[scores={skyblock=0,defender=0}] at @s unless entity @s[scores={damage=0}] run attribute @s minecraft:generic.attack_damage base set 0
execute as @a[scores={defender=1..,damage=0}] at @s run attribute @s minecraft:generic.attack_damage base set 1
execute as @a[scores={skyblock=1..,damage=0}] at @s run attribute @s minecraft:generic.attack_damage base set 1
execute as @e[tag=superiordec] at @s unless entity @e[tag=supwithermod2,distance=..4] run kill @s
execute as @a[scores={sprint=..0}] at @s run effect give @s minecraft:jump_boost 3 170 true
execute if entity @a[scores={sprint=..20,sprintcd=..5},tag=!tired] run function zombies:sprintmsg
execute if entity @a[scores={classiccd=2..,timeleft=..0}] run scoreboard players set @a death 1
tag @a[scores={sprint=..10},tag=!tired] add tired
scoreboard players add @a[tag=tired] tired 1
execute at @a[tag=tired,scores={tired=1,overtired=0}] run playsound minecraft:entity.player.breath player @a ~ ~ ~ 1 1.1 1
execute at @a[tag=tired,scores={tired=26,overtired=0}] run playsound minecraft:entity.player.breath player @a ~ ~ ~ 1 0.9 1
scoreboard players add @a[tag=tired,scores={tired=1}] tootired 1
tag @a[scores={tired=40..}] remove tired
scoreboard players set @a[scores={tired=40..}] tired 0
execute as @a at @s run execute store result bossbar minecraft:sprint value run scoreboard players get @s sprint
execute at @a[scores={sprint=1..}] run bossbar set minecraft:sprint visible true
execute as @e[tag=eldwitball] at @s unless entity @e[tag=elderwithermod2] run kill @s
execute as @e[tag=prowitball] at @s unless entity @e[tag=prowithermod2] run kill @s
execute as @e[tag=prowitarea] at @s unless entity @e[tag=prowithermod2] run kill @s
execute as @e[team=withermod2,type=wither_skeleton] at @s unless entity @e[type=wither,team=withermod2] run kill @s
execute as @e[team=withermod1,type=wither_skeleton] at @s unless entity @e[type=wither,team=withermod1] run kill @s

execute as @e[tag=firewitball] at @s unless entity @e[tag=firewithermod2] run kill @s
execute as @a at @s run execute unless entity @s[scores={skyblock=0..1}] run scoreboard players set @s skyblock 0
scoreboard players remove @a[scores={classiccd=2..}] timeleft 1
scoreboard players enable @a sbmenu
execute as @a[scores={sbmenu=1..,skyblock=1..}] at @s run tellraw @s [{"text":"\n\n\n\n\n\n\n\n\n"},{"text":"\n          S","color":"#04C8DE","underlined":true},{"text":"k","color":"#14EFFF","underlined":true},{"text":"y","color":"#73F1FF","underlined":true},{"text":"B","color":"#35DB0B","underlined":true},{"text":"l","color":"#2DBA0A","underlined":true},{"text":"o","color":"#3AF00D","underlined":true},{"text":"c","color":"#3BF50D","underlined":true},{"text":"k","color":"#4EFF47","underlined":true},{"text":"          ","color":"#00DDFF","underlined":true},{"text":"\n          Menu","color":"gold","bold":true,"italic":false,"underlined":false},{"text":"\n\nWarp to the Original spawn point of your island","color":"#03FFC4","italic":false,"hoverEvent":{"action":"show_text","contents":[{"text":"Load your previous Inventory(If have) to you","color":"gray"}]},"clickEvent":{"action":"run_command","value":"/function zombies:warp"}},{"text":"➲","color":"white"},{"text":"\nLeave your Island","color":"red","italic":false,"hoverEvent":{"action":"show_text","contents":[{"text":"Save your inventory and Go back to the Main Menu Area","color":"gray"}]},"clickEvent":{"action":"run_command","value":"/function zombies:leave"}},{"text":"⟲","color":"white","italic":false},{"text":"\n\nSave your data Manually","color":"#F0D802","bold":false,"italic":false,"hoverEvent":{"action":"show_text","contents":[{"text":"To stop getting data lost","color":"gray"}]},"clickEvent":{"action":"run_command","value":"/function zombies:save"}},{"text":"\n[Close the Menu]","color":"#F00000","bold":true,"italic":false,"hoverEvent":{"action":"show_text","contents":[{"text":"Stops the spamming menu","color":"gray","italic":false}]},"clickEvent":{"action":"run_command","value":"/scoreboard players set @s sbmenu 0"}},{"text":"\nView the Chat Box(T) to open","color":"dark_gray","italic":false},{"text":"\n                               ","color":"#05F0F0","underlined":true}]
execute as @a[scores={sbmenu=1..,skyblock=0}] at @s run tellraw @s {"text":"-You are not in Skyblock Mode yet!-","color":"red","italic":false}
execute as @a[scores={sbmenu=1..,skyblock=0}] at @s run scoreboard players set @s sbmenu 0


execute at @a run execute store result bossbar minecraft:timeremain value run scoreboard players get @p timeleft
bossbar set minecraft:timeremain players @a
bossbar set minecraft:zombiecount players @a
scoreboard players set @a[scores={skyblock=1..}] death 0
scoreboard players set @a[scores={skyblock=0}] death1 0
scoreboard players add @a reload 1
scoreboard players set @a[scores={reload=201..}] reload 0
execute if entity @a[scores={skyblock=0}] run function zombies:sword


execute at @a[scores={skyblock=0,defender=0}] run execute as @e[tag=!grenade,tag=!grabomb,tag=!squidbomb,tag=!signal,tag=!firebomb,type=item,tag=!processed] at @s run data modify entity @s Owner set from entity @s Thrower
execute at @a[scores={skyblock=0,defender=0}] run execute as @e[tag=!grenade,tag=!grabomb,tag=!squidbomb,tag=!signal,tag=!firebomb,type=item,tag=!processed,team=shw] at @s run data modify entity @s PickupDelay set value 0
execute as @e[type=item,tag=tu] run data modify entity @s PickupDelay set value -32767
execute at @a[scores={skyblock=0}] run execute as @e[tag=!grenade,tag=!grabomb,tag=!squidbomb,tag=!signal,tag=!firebomb,type=item,nbt={CustomNameVisible:1b}] run data modify entity @s PickupDelay set value -32767
execute at @a[scores={classiccd=1}] run function zombies:start

execute at @a[scores={skyblock=1}] run tag @e[type=item] add processed
execute if entity @a[scores={skyblock=1..}] run function zombies:modifier
execute if entity @a[scores={wave=1..}] run function zombies:abilities
execute if entity @a[scores={wave=1..}] run function zombies:wave
execute if entity @a[scores={tu=1..}] run function zombies:tu1
execute if entity @a[scores={mbossstart=1..}] run function zombies:abilities2
execute if entity @e[scores={second=1..}] run function zombies:second
function zombies:giant_zombie
execute if entity @a[scores={skyblock=1}] run function zombies:dataload
execute if entity @a[scores={wave=1..}] run function zombies:apoc
execute at @a[scores={skyblock=1..}] run bossbar set minecraft:enemy name [{"selector":"@e[tag=!mobshow1,tag=!mobshow2,tag=!mobshow3,tag=!mobshow4,tag=!mobshow5,tag=!mobshow6,type=!#function:not_mob,type=!player,sort=nearest,limit=1]","color":"#FF0000","italic":false},{"text":" ♥ Health: ","color":"red","italic":false},{"score":{"name":"@e[tag=!mobshow1,tag=!mobshow2,tag=!mobshow3,tag=!mobshow4,tag=!mobshow5,tag=!mobshow6,type=!#function:not_mob,type=!player,sort=nearest,limit=1]","objective":"ahealth"},"color":"red"},{"text":" - [♥","color":"yellow","italic":false},{"score":{"name":"@e[tag=!mobshow1,tag=!mobshow2,tag=!mobshow3,tag=!mobshow4,tag=!mobshow5,tag=!mobshow6,type=!#function:not_mob,type=!player,sort=nearest,limit=1]","objective":"health"},"color":"#FFEE00","italic":false},{"text":"]","color":"yellow","italic":false}]
execute at @a[scores={defender=1..}] run bossbar set minecraft:enemy name [{"selector":"@e[tag=!mobshow1,tag=!mobshow2,tag=!mobshow3,tag=!mobshow4,tag=!mobshow5,tag=!mobshow6,type=!#function:not_mob,type=!player,sort=nearest,limit=1,tag=!defendingpigman,tag=!golem2]","color":"#FF0000","italic":false},{"text":" - ❤ Health: ","color":"#FF0000","italic":false},{"score":{"name":"@e[tag=!mobshow1,tag=!mobshow2,tag=!mobshow3,tag=!mobshow4,tag=!mobshow5,tag=!mobshow6,type=!#function:not_mob,type=!player,sort=nearest,limit=1,tag=!defendingpigman,tag=!golem2]","objective":"health"},"color":"red","italic":false},{"text":" / ","color":"#FF0000","italic":false},{"score":{"name":"@e[tag=!mobshow1,tag=!mobshow2,tag=!mobshow3,tag=!mobshow4,tag=!mobshow5,tag=!mobshow6,type=!#function:not_mob,type=!player,sort=nearest,limit=1,tag=!defendingpigman,tag=!golem2]","objective":"healthmax"},"color":"red","italic":false},{"text":"","color":"yellow","italic":false}]

execute if entity @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",Count:1b}},scores={skyblock=1..}] run function zombies:itemabilitycoas
execute if entity @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",Count:1b}},scores={defender=1..}] run function zombies:itemabilitycoas
execute if entity @a[nbt={SelectedItem:{id:"minecraft:bow",Count:1b}},scores={skyblock=1..}] run function zombies:itemabilitybow
execute if entity @a[nbt={SelectedItem:{id:"minecraft:bow",Count:1b}},scores={defender=1..}] run function zombies:itemabilitybow
execute if entity @a[scores={defender=1..}] run function zombies:itemabilitydef


execute if entity @a[scores={classiccd=48200..}] run function zombies:death
execute at @a[scores={classiccd=20..}] if score .button foundbutton matches 20.. run function zombies:end
execute at @a[scores={classiccd=20..}] unless entity @e[team=!mobshow,type=!squid,type=!minecraft:player,type=!#tf_raycast:not_mob] run function zombies:end
execute if entity @a[scores={skyblock=0,reload=1}] run scoreboard players add @e[team=!mobshow,tag=!cw_pather,type=!squid,type=!minecraft:player,type=!#tf_raycast:not_mob,type=!villager,type=!silverfish,type=!minecraft:wandering_trader] zombielist 1
scoreboard players set @e[team=!mobshow,team=!cw_pather,type=!squid,type=!minecraft:player,type=!#tf_raycast:not_mob,scores={zombielist=3..}] zombielist 2
execute if entity @a[scores={defender=1..}] at @e[team=defender,scores={zombielist=1}] run scoreboard players add @a zombiecount 1

execute if entity @a[scores={defender=0}] at @e[team=!mobshow,team=!cw_pather,type=!squid,type=!minecraft:player,type=!#tf_raycast:not_mob,scores={zombielist=1},tag=!mobshow6,tag=!mobshow5,tag=!mobshow4] run scoreboard players add @a zombiecount 1
execute if entity @a[scores={reload=200,skyblock=0}] run scoreboard players set @e[team=!mobshow,type=!squid,type=!minecraft:player,type=!#tf_raycast:not_mob,type=!villager,type=!silverfish,tag=!mobshow6,tag=!mobshow5,tag=!mobshow4] zombielist 0
execute if entity @a[scores={reload=199,skyblock=0}] run scoreboard players reset @a zombiecount
bossbar set minecraft:zombiecount name [{"text":"Enemy Remaining: ","color":"#046E00"},{"score":{"name":"@a","objective":"zombiecount"},"color":"dark_green"}]
bossbar add timeremain {"text":"Time Remaining:","color":"#FF0000","bold":true}
execute if entity @a[scores={skyblock=0}] run scoreboard players add @e[team=!mobshow,tag=!cw_pather,type=!squid,type=!minecraft:player,type=!#tf_raycast:not_mob,type=!villager,type=!silverfish,type=!minecraft:wandering_trader,tag=!mobshow6,tag=!mobshow5,tag=!mobshow4] zombielist 1
execute at @a run execute as @e[team=!mobshow,type=!squid,type=!minecraft:player,type=!#tf_raycast:not_mob] at @s run execute as @s store result score @s health run data get entity @s AbsorptionAmount
execute unless entity @e[team=!mobshow,type=!minecraft:player,type=!#tf_raycast:not_mob,type=!squid,type=!villager,type=!silverfish] run scoreboard players set @a zombiecount 0
execute at @a[scores={skyblock=0}] run execute as @e[team=!mobshow,type=!squid,type=!minecraft:player,type=!#tf_raycast:not_mob,sort=nearest,limit=1] at @s unless entity @s[scores={mobhealthshow=5..}] run scoreboard players add @s mobhealthshow 1

execute at @a run execute store result bossbar minecraft:zombiecount value run data get entity @e[team=!mobshow,type=!squid,type=!minecraft:player,type=!#tf_raycast:not_mob,sort=nearest,limit=1] AbsorptionAmount
execute at @a[scores={skyblock=0}] run execute as @e[team=!mobshow,type=!squid,type=!player,type=!#tf_raycast:not_mob,scores={health=1..},sort=nearest,limit=1] at @s run execute store result bossbar minecraft:zombiecount max run scoreboard players add @s mobmaxhealth 0
execute if entity @a[scores={skyblock=0}] run execute as @e[team=!mobshow,type=!squid,type=!player,type=!#tf_raycast:not_mob,scores={mobhealthshow=3}] at @s run function zombies:diff
execute if entity @a[scores={skyblock=0}] run execute as @e[team=!mobshow,type=!squid,type=!player,type=!#tf_raycast:not_mob,scores={mobhealthshow=4}] at @s run execute store result score @s mobmaxhealth run data get entity @s AbsorptionAmount

execute if entity @a[scores={classicstart=1..}] run bossbar set minecraft:timeremain visible true
execute unless entity @a[scores={classicstart=1..}] run bossbar set minecraft:timeremain visible false
execute at @a[scores={skyblock=0}] if entity @e[team=!mobshow,type=!squid,type=!minecraft:player,type=!#tf_raycast:not_mob,type=!silverfish,tag=!defendingpigman,tag=!mobshow6,tag=!mobshow5,tag=!golem2,tag=!mobshow4] run bossbar set minecraft:zombiecount visible true
execute at @a unless entity @e[team=!mobshow,type=!squid,type=!minecraft:player,type=!#tf_raycast:not_mob,type=!silverfish,tag=!defendingpigman,tag=!mobshow6,tag=!mobshow5,tag=!golem2,tag=!mobshow4] run bossbar set minecraft:zombiecount visible false
execute if entity @a[scores={skyblock=1..}] run bossbar set minecraft:zombiecount visible false
scoreboard players add @a[scores={wavestart=1..}] wavetime 1
scoreboard players set @a[scores={wavetime=1500..}] wavestart 0
execute if entity @a[scores={skyblock=0,defender=0}] run function zombies:healing

execute as @a at @s unless entity @s[scores={zapoc=0..}] run scoreboard players set @s zapoc 0
execute if entity @a[scores={wavetime=1500..,wavestart=0}] unless entity @e[team=wave] run function zombies:wavecompleted
execute if entity @a[scores={wave=101..}] run function zombies:end
execute at @a[scores={mode2=1..}] unless entity @e[type=zombie] run function zombies:end
execute at @a[scores={mbossstart=1..,death=1..}] run function zombies:death
execute at @a[scores={mbossstart=1..,death=0}] unless entity @e[type=zombie] run function zombies:end
execute at @a[scores={skyblock=1..}] run execute store result bossbar minecraft:enemy value run scoreboard players get @e[type=!minecraft:player,type=!#tf_raycast:not_mob,sort=nearest,limit=1] ahealth
execute at @a run scoreboard players add @e[type=!minecraft:player,type=!#tf_raycast:not_mob,sort=nearest,limit=1,distance=..10] enemy 1
scoreboard players set @e[scores={enemy=201..}] enemy 0
execute if entity @a[scores={skyblock=1..}] run bossbar set minecraft:enemy visible true
execute if entity @a[scores={skyblock=0,defender=0}] run bossbar set minecraft:enemy visible false
execute at @a[scores={zapoc=1..}] run function zombies:zapoc
function zombies:level
